// Generator version : v3.1
// Generation time   : 2024.12.27 15:27:04
// DBC filename      : DMK-RP-77A.dbc
#include "mfs_canmatrix-binutil.h"

// DBC file version
#if (VER_CANMATRIX_MAJ != (0U)) || (VER_CANMATRIX_MIN != (0U))
#error The MFS_CANMATRIX binutil source file has inconsistency with core dbc lib!
#endif

#ifdef __DEF_MFS_CANMATRIX__

mfs_canmatrix_rx_t mfs_canmatrix_rx;

mfs_canmatrix_tx_t mfs_canmatrix_tx;

#endif // __DEF_MFS_CANMATRIX__

uint32_t mfs_canmatrix_Receive(mfs_canmatrix_rx_t* _m, const uint8_t* _d, uint32_t _id, uint8_t dlc_)
{
 uint32_t recid = 0;
 if (_id == 0x3F0U) {
  recid = Unpack_BCM_HEAT_CANmatrix(&(_m->BCM_HEAT), _d, dlc_);
 }

 return recid;
}

